<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1gui_1_1_spin_box.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">flair::gui::SpinBox Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classflair_1_1gui_1_1_spin_box.html">flair::gui::SpinBox</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Auto</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html#a2f126878bf430425982c367e709ea438">Box</a>(const LayoutPosition *position, std::string name, std::string type)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html">flair::gui::Box</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>color_t</b> enum name (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html#a72d33c20718419d566e198840318e22f">GetMutex</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html">flair::gui::Box</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html#a6404c7f474be994ec4e72a97e45dfffa">GetPersistentXmlProp</a>(std::string prop, T &amp;value)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Green</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html#a299877c38b297ada04542e4dfc5a2f4f">isEnabled</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html#a3d1e4e81c7c59a051368a346a104c988">ReleaseMutex</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html">flair::gui::Box</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html#ac80f72906580f269b5881c1ef0b35afb">SendXml</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html#a814a933622114ad9c8f5d49014262d89">setEnabled</a>(bool status)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html#a0e81847db5a84b2e7e26545c9b1b704f">SetPersistentXmlProp</a>(std::string prop, T value)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html#a97997d50ef96b359564c2d6b94db1edc">SetValueChanged</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html">flair::gui::Box</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html#abe5ab96255919238138527c92fbeb6d8">SetVolatileXmlProp</a>(std::string prop, T value, xmlNodePtr node=NULL)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1gui_1_1_spin_box.html#a3164534ab209d31215224865d276e139">SpinBox</a>(const LayoutPosition *position, std::string name, int min, int max, int step, int default_value=0)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_spin_box.html">flair::gui::SpinBox</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1gui_1_1_spin_box.html#a92f63c84f17ab71d508e40ef5bd88818">SpinBox</a>(const LayoutPosition *position, std::string name, std::string suffix, int min, int max, int step, int default_value=0)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_spin_box.html">flair::gui::SpinBox</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html#a9ba37bd7fad0f4a97175d922b93b5434">UnsetPersistentXmlProp</a>(std::string prop)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1gui_1_1_spin_box.html#a782c198e37c84652f7b001847a360d2c">Value</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_spin_box.html">flair::gui::SpinBox</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html#a54608ff0fdac6b8e05c8ece4fd3f8375">ValueChanged</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html">flair::gui::Box</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html#a7b867cc6c603cbc5e5a2f39f083a9494">Widget</a>(const Widget *parent, std::string name, std::string type)</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html#adfd9a664f5096bbe85cdebf021f542ea">~Box</a>()</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_box.html">flair::gui::Box</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1gui_1_1_spin_box.html#a64182fc99a1d96d8f86679a568c50f9b">~SpinBox</a>()</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_spin_box.html">flair::gui::SpinBox</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html#a81110928e09e909dc1cc90971de4e8a9">~Widget</a>()</td><td class="entry"><a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
